Subject: postinstall failures [WAS: tetex installation wierdness.]
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Fri, 07 Mar 2003 21:08:49 +0100

"Janus Nicolay Christensen" <[email-masked]> writes:

> Test is running Windows 2000 Service Pack 2 and
> dkms1301 is running Windows 2002 Service Pack 3.

Ok.  Not too Mickey Mouse-isch :-)

> On test the /usr/share/texmf/web2c directory contains 5.2 MB. On
> dkms1301 this figure is 0.6 MB.

That probably means that on dkms1301, postinstall hasn't succeeded;
web2c is where the format files are generated.
It would be good if setup would at least inform [you] about that.

> The new packages are the 2.0.2-1 ones, right? And tetex-bin-2.0.2-1
> contains the symlink?

Yes, we've been busy.

> Hmmm... I seem to be missing 'clear', but the test installation is
> missing that one too, and on that machine the installation works.

Parts of postinstall may fail if it's not there, but I'm not sure.

>>   * If you're updating tetex from an earlier version, you may need to
>>     uninstall and then reinstall cygutils
>> 
>>   * Reinstall tetex-base (or run 
>> /etc/postinstall/post-texmf.sh[.done])
>
> Looking at the script I can't seem to find where it creates the symlink.
> Is this done via one of the texconfig calls?

Yes.

>>   * If the symlink is all you're missing, you can create it by hand:
>> 
>>         ln -s /usr/bin/tex.exe /usr/bin/latex.exe
>
> Well, if all else fails, I will try that.  .-)

You obviously need more than that.  Please try an upgrade, and watch
if the format files get created during postinstall.

Otherwise, you can also try running

    bash -x /etc/postinstall/post-texmf.sh[.done]

(or the texconfig commands therein) and see what happens.

Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/